Opened 4 years ago

Closed 3 years ago

Last modified 3 years ago

#1729 closed Task (fixed)

SIMPLIF-3 : Remove key_bdy macro [WP2016]

Reported by: lovato Owned by: lovato
Priority: low Milestone: 2016 WP
Component: OCE Version: trunk
Severity: Keywords: BDY simplification
Cc: Review:
MP ready?:
Progress:

Description (last modified by lovato)

Context

SIMPLIF-3 2016 - Shared action

Remove the macro activating the code for the open boundary treatment (key_bdy) in favour of static code always present in compilation and activated only when bdy are required by the user configuration of the namelist.

Implementation

Reference branch is dev_r6522_SIMPLIF_3

Remove key_bdy and related macros and replace where needed with the use of logical key ln_bdy in namelist nambdy (see r6862 and r6863).

In addition, it revised also the code related to tidal forcing by removing the use of key_tide and and introducing in namelist nam_tide the logical flag ln_tide to activate tides (r6864-r6866 and r6884)

For further details see the related wiki page http://forge.ipsl.jussieu.fr/nemo/wiki/2016WP/SIMPLIF-3_BDY

Commit History (7)

ChangesetAuthorTimeChangeLog
7299lovato2016-11-22T12:19:58+01:00

Merge with CMCC changes from dev_r6522_SIMPLIF_3 - ticket #1729 & #1783

6884lovato2016-08-24T16:37:55+02:00

#1729 - trunk: correct typo in diaharm.F90 for ln_tide settings

6866lovato2016-08-12T16:27:51+02:00

#1729 - trunk: Update manual description for BDY and tides usage.

6865lovato2016-08-12T15:16:28+02:00

#1729 - trunk: clean up "key_tide" from namelists in CONFIG and TRUST.

6864lovato2016-08-12T15:16:27+02:00

#1729 - trunk: removed key_tide from the code and set usage of ln_tide. Tested with AMM12 and ORCA2_LIM_PISCES.

6863lovato2016-08-12T15:16:26+02:00

#1729 - trunk: Reorganize bdyini content and clean up namelists

6862lovato2016-08-12T15:16:24+02:00

#1729 - trunk: removed key_bdy from the code and set usage of ln_bdy. Tested with SETTE.

Change History (8)

comment:1 Changed 4 years ago by lovato

  • Description modified (diff)
  • Owner changed from NEMO team to lovato

comment:2 Changed 4 years ago by lovato

  • Description modified (diff)

comment:3 Changed 4 years ago by nicolasmartin

  • Keywords BDY added; bdy removed

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords simplification added; simplif removed

comment:5 Changed 4 years ago by lovato

  • Description modified (diff)

comment:6 Changed 4 years ago by lovato

  • Description modified (diff)

comment:7 Changed 3 years ago by lovato

  • Resolution set to fixed
  • Status changed from new to closed

This development was included in Merge Party 2016

comment:8 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.